SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Directory)  >   Novell eDirectory Vendors:   Novell
Novell eDirectory Stack Overflow in Processing LDAP Extended Requests Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1019692
SecurityTracker URL:  http://securitytracker.com/id/1019692
CVE Reference:   CVE-2008-0924   (Links to External Site)
Date:  Mar 26 2008
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.8.1 and prior versions
Description:   A vulnerability was reported in Novell eDirectory. A remote user can execute arbitrary code on the target system.

A remote user can send a specially crafted LDAP Extended Request message to trigger a stack overflow and execute arbitrary code on the target system. The code will run with the privileges of the target service.

TippingPoint reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fixed version (8.8.2), available at:

http://download.novell.com

A fix is also available for version 8.7.3 (apply SP10 or later).

The Novell advisory is available at:

https://secure-support.novell.com/KanisaPlatform/Publishing/411/3382120_f.SAL_Public.html

Vendor URL:  secure-support.novell.com/KanisaPlatform/Publishing/411/3382120_f.SAL_Public.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Solaris - SunOS), Windows (2000), Windows (2003)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC